GET /v1/Workspaces/{WorkspaceSid}/Tasks

twilio.com:twilio_taskrouter_v1

Summary:
Operation ID: ListTask
Auth: unknown

Parameters (13)

AssignmentStatus (array, query, optional)

The `assignment_status` of the Tasks you want to read. Can be: `pending`, `reserved`, `assigned`, `canceled`, `wrapping`, or `completed`. Returns all Tasks in the Workspace with the specified `assignment_status`.

EvaluateTaskAttributes (string, query, optional)

The attributes of the Tasks to read. Returns the Tasks that match the attributes specified in this parameter.

HasAddons (boolean, query, optional)

Whether to read Tasks with Add-ons. If `true`, returns only Tasks with Add-ons. If `false`, returns only Tasks without Add-ons.

Ordering (string, query, optional)

How to order the returned Task resources. By default, Tasks are sorted by ascending DateCreated. This value is specified as: `Attribute:Order`, where `Attribute` can be either `DateCreated`, `Priority`, or `VirtualStartTime` and `Order` can be either `asc` or `desc`. For example, `Priority:desc` returns Tasks ordered in descending order of their Priority. Pairings of sort orders can be specified in a comma-separated list such as `Priority:desc,DateCreated:asc`, which returns the Tasks in descending Priority order and ascending DateCreated Order. The only ordering pairing not allowed is DateCreated and VirtualStartTime.

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

Priority (integer, query, optional)

The priority value of the Tasks to read. Returns the list of all Tasks in the Workspace with the specified priority.

TaskQueueName (string, query, optional)

The `friendly_name` of the TaskQueue with the Tasks to read. Returns the Tasks waiting in the TaskQueue identified by this friendly name.

TaskQueueSid (string, query, optional)

The SID of the TaskQueue with the Tasks to read. Returns the Tasks waiting in the TaskQueue identified by this SID.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WQ[0-9a-fA-F]{32}$'}

WorkflowName (string, query, optional)

The friendly name of the Workflow with the Tasks to read. Returns the Tasks controlled by the Workflow identified by this friendly name.

WorkflowSid (string, query, optional)

The SID of the Workflow with the Tasks to read. Returns the Tasks controlled by the Workflow identified by this SID.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WW[0-9a-fA-F]{32}$'}

WorkspaceSid (string, path, required)

The SID of the Workspace with the Tasks to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^WS[0-9a-fA-F]{32}$'}

No probe data for this endpoint yet.